<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.partisiablockchain.language</groupId>
  <artifactId>pub-wasm-binder</artifactId>
  <packaging>jar</packaging>
  <version>5.39.0</version>

  <licenses>
    <license>
      <name>AGPL-3.0-or-later</name>
      <url>https://www.gnu.org/licenses/agpl.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <repositories>
    <repository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </repository>
  </repositories>

  <parent>
    <groupId>com.partisiablockchain.core</groupId>
    <artifactId>contract-pom</artifactId>
    <version>5.25.0</version>
  </parent>

  <dependencies>
    <dependency>
      <groupId>com.partisiablockchain.language</groupId>
      <artifactId>wasm-invoker</artifactId>
      <version>5.34.0</version>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>contract-test</artifactId>
      <version>5.34.0</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-shade-plugin</artifactId>
        <version>3.2.4</version>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <includes>
                  <include>${project.groupId}:${project.artifactId}</include>
                  <include>com.partisiablockchain.language:wasm-interpreter</include>
                  <include>com.partisiablockchain.language:wasm-invoker</include>
                </includes>
              </artifactSet>
              <filters>
                <filter>
                  <artifact>*:*</artifact>
                  <excludes>
                    <exclude>META-INF/</exclude>
                  </excludes>
                </filter>
              </filters>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
